Package org.apache.wiki.api.exceptions

## Class RedirectException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.wiki.api.exceptions.WikiException
      - - org.apache.wiki.api.exceptions.FilterException
        - - org.apache.wiki.api.exceptions.RedirectException

All Implemented Interfaces:
  `java.io.Serializable`

    public class RedirectException
    extends FilterException

This exception may be thrown if a filter wants to reject something and redirect the user elsewhere.

Since:
  2.1.112
See Also:
  Serialized Form

### Constructor Summary

Constructors
`RedirectException​(java.lang.String msg, java.lang.String redirect)` Constructs a new RedirectException.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getRedirect()` Get the URI for redirection.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RedirectException

    public RedirectException​(java.lang.String msg,
                             java.lang.String redirect)

Constructs a new RedirectException.

Parameters:
  `msg` - The message for the exception
  `redirect` - The redirect URI.

### Method Detail

#### getRedirect

    public java.lang.String getRedirect()

Get the URI for redirection.

Returns:
  The URI given in the constructor.